Instalando o ambiente de desenvolvimento do Android no Ubuntu

Posted: October 13, 2009 in Android

O mundo dos smartphones vem contagiando as pessoas tanto para entretenimento como para trabalho. Com tanto programas disponíveis, ainda sim poderemos nos deparar com softwares que não nos atende. Nesse post, apresentarei como instalar o ambiente de desenvolvimento do Android (Sistema Operacional para smartphone do Google) no Ubuntu Linux 9.04 (jaunter).

Para criar os nossos programas utilizaremos a ferramenta de desenvolvimento chamada Eclipse. Se você não tem instalado, acesse o link http://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/galileo/SR1/eclipse-jee-galileo-SR1-linux-gtk.tar.gz. Se já tem, certifique-se de que seja no mímino a versão 3.4. Finalizado o download, descompacte-o:

tar -vzxf eclipse-jee-galileo-SR1-linux-gtk.tar.gz

O compilador que utilizaremos é o Java. Para instalar, abra o Konsole no linux e digite:

sudo apt-get install sun-java6-bin

Agora, só falta o SDK. Baixe-o de http://developer.android.com/sdk/download.html?v=android-sdk-linux_x86-1.6_r1.tgz e descompacte-o:

tar -vzxf android-sdk-linux_x86-1.6_r1.tgz

Se desejar adicionar a localização do SDK para o PATH do sistema, edite o arquivo ~/.bashrc e adicione ao final:

export PATH=${PATH}:[your_sdk_dir]/tools

Tudo instalado, inicie o aplicativo Eclipse.

Antes de criar qualquer projeto para o Android, precisamos fazer com que o Eclipe possa compilar esses projetos. E para isso, temos que instalar o Android Development Tools (ADT) Plugin de acordo com os passos descrito abaixo.

1) Clique em “Help” e depois “Install New Software”. A janela “Install” será aberta.

2) Em Available Software clique no botão “Add…” A janela “Add Site” irá aparecer.

3) No campo “Location” digite:

https://dl-ssl.google.com/android/eclipse/

Caso ocorra algum problema para obter o plugin, experimente substituir https por http na URL.

Informado a URL clique em Ok. A janela “Available Software” será atualizada com o ítem “Developer Tools” adicionado a lista.

4) Clique em Next e o processo verificação será iniciado.

5) Finalizado o ítem acima, será apresentado os ítens que serão instalados.

6) Clique em Next e será apresetando a janela “Review Licenses”.

Leia os termos da licença e se estiver de acordo clique em “I accept the terms of the license agreements” e depois em Finish. Em seguida será exibido uma jenala mostrando o progresso da instalação.

Caso apareça a janela “Security Warning” conforme mostrado abaixo, clique em Ok. Esta janela apenas informa que a autenticidade e validade do software não foi estabelecido.

7) Concluído a instalação, será mostrado a janela:

Esta janela questiona se você deseja ou não reiniciar o Eclipse. É recomendado que sim, assim você terá certeza de que as mudanças terão efeitos.

Concluído o processo de instalação, precisamos modificar o “Eclipse preferences” para apontar para o diretório do SDK do Android.

1) Clique em Window > Preferences

2) Na lista, selecione Android e depois informe a localização do SDK. No meu caso está em “/home/mobile/Android/android-sdk-linux_x86-1.6_r1”.

Caso apareça a seguinte janela:

Fica a seu critério se deseja ou não enviar estatístca de uso para o Google. Se concordar deixe checado o ítem “Send usage statistics to Google” e clique em Proceed. Do contrário clique em “Send usage statistics to Google” para tirar a checagem e depois Proceed.

3) Clique em Apply e a lista será atualizada com informações do SDK.

4) Clique em Ok para finalizar.

Se todos os passos acima foram concluídos com sucesso, você está pronto para desenvolver aplicações para o Android. Nos próximos artigos referente ao Android estarei mostrando como desenvolver aplicativos para esse smartphone que promete estar em segundo lugar até 2012, perdendo apenas para o Symbian da Nokia.

Advertisements
Comments
  1. Ruberval says:

    Boa tarde meu amigo, estou seguindo seu tuto para instalar em uma maquina virtual com umbutu, mas dentro do eclipse ta dando o seguinte erro e nao consigo de forma alguma prosseguir, voce poderia me ajudar.

    Cannot complete the install because one or more required items could not be found.
    Software being installed: Android Development Tools 15.0.1.v201111031820-219398 (com.android.ide.eclipse.adt.feature.group 15.0.1.v201111031820-219398)
    Missing requirement: Android Development Tools 15.0.1.v201111031820-219398 (com.android.ide.eclipse.adt.feature.group 15.0.1.v201111031820-219398) requires ‘org.eclipse.wst.sse.core 0.0.0’ but it could not be found

    Ja baixei o sdk do android e descompaquitei dentro da home.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s